I have been working on newer LAMP components for CentOS / WBEL in response to a post in my forums, and I have completed the following components for those who want try some newer stuff on a RHEL clone:

httpd-2.0.52-3
php-5.0.2-1.EL
MySQL-4.1.7-0

Details on how to compile them yourself and how to install are HERE

I don't necessarily intend to maintain these programs by doing security updates although the complete build process including all dependencies required to build each SRPM is included in the forum.

I am NOT using these in production, but I am using them on an intranet test server with Mambo installed. So far, no real problems.

These items should also compile on any Fedora Core distro, except you will have to edit the spec file in php-5.0.2-1.EL and change the build requirement from rh-postgresql-devel to postgresql-devel.